# Hack The System 2021

Welcome to the Hack The System 2021 Fluence Hackathon track where five weeks of fun can turn into juicy bounties and heaps of fame!

## Fluence Overview
 [Fluence Labs](https://fluence.network/) builds distributed networks, development tools, components and support systems to allow developers to efficiently and reliably build, operate, monetize, and maintain distributed and decentralized services and applications.

 [Aquamarine](https://github.com/fluencelabs/aquamarine) is Fluence's open source contribution to improve the development and operation of distributed, p2p networks and network services both at the code and conceptual level. Specifically, Aquamarine is a programming language and runtime with a focus on communication operations and coordination based on [π-calculus](https://en.wikipedia.org/wiki/%CE%A0-calculus). This allows developers not only to formally model and reason about message flows and topologies but also to easily implement reliable and tractable distributed solutions.

## Hackathon Overview
The Fluence stack is very well suited to symbiotically complement blockchains by provisioning decentralized application and off-chain compute services. We offer three tracks to explore the off-/on-chain mutualism using the Fluence tools and stack:

### Easy
Use one of the Wasm-based services, e.g., Ether Price Discovery service, Curl service, or Url Downloader service, already deployed to the [Fluence testnet](https://dash.fluence.dev/) and use [AIR](https://fluence.dev/docs/air-scripts) to implement the query, or queries, from your frontend app.
<b>Prizes</b>: USD 100.00 per functional, dockerized submission.

### Medium
Implement and deploy an Ether price discovery service pulling data from a DEX, e.g., Uniswap. Use [AIR](https://fluence.dev/docs/air-scripts) to query data from the service to your frontend app.
<b>Prizes</b>: USD 250.00 per functional, dockerized submission.

### Hard
Implement an (decentralized) application of your choice on the Fluence stack connecting the frontend and with at least two
backend services using [AIR](https://fluence.dev/docs/air-scripts). At least one of the backend services should require [authentication](https://fluence.dev/docs/tetraplets). 
<b>Prizes</b>: USD 2000.00 and USD 1,000.00 for the best and second best functional, dockerized submission, respectively.

Please register for the hackathon at: https://www.encode.club/hack-the-system/#register-form 

### Resources And Support
* Fluence [Documentation](https://fluence.dev/docs)
* Connect with [discord](https://discord.com/invite/5kXQnUxvEd)
* We are hosting a workshop March 18, 2021, 17:30 GMT. Please [register](https://www.eventbrite.co.uk/e/fluence-workshop-2-tickets-142242821107) for your free tickets.
* Feel free to post issues in this repo with any questions


Fluence is [hiring](https://fluence.network/join.html) !!
